Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface Component

All Superinterfaces:
  ComponentNode, IRuntimeNode

All Known Implementing Classes:
  BomInstance

public interface Component
extends ComponentNode

Interface for components.

Field Summary
`static int` | `INSTANCE_TYPE_ADDED`
`static int` | `INSTANCE_TYPE_DELETED_INITIAL`
`static int` | `INSTANCE_TYPE_DISCONTINUED`
`static int` | `INSTANCE_TYPE_INITIAL`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`oracle.apps.cz.cio.Component` | `getComponentByExplosionId(int explId, int instanceNum)` Returns a Component in the subtree of the root of this tree or its direct up-path with the given explosion node id and instance number.
`com.sun.java.util.collections.Collection` | `getConnectorInfo()` Returns the list of ConnectorInfo objects representing connectors currently connected to this component, whether they are loaded into this session or not
`com.sun.java.util.collections.List` | `getConnectors()` Returns the list of connectors currently connected to this component
`oracle.apps.cz.cio.IFunctionalCompanion` | `getFuncCompByID(int id)` Returns a particular functional companion based on its ID, null if no match.
`oracle.apps.cz.cio.IFunctionalCompanion` | `getFuncCompByName(java.lang.String name)` Returns a particular functional companion based on its name, null if no match.
`com.sun.java.util.collections.List` | `getFunctionalCompanions()` Returns a list of all functional companions associated with this node.
`java.lang.String` | `getInstanceName()` returns the instance name if set or else null.
`int` | `getInstanceNumber()` Deprecated. see getInstanceNumberLong()
`long` | `getInstanceNumberLong()` Returns InstanceHeaderId if this node is a TrackableRoot else returns the instance number of this component (1 if virtual).
`int` | `getInstanceType()` Returns the instance typr of this component (INSTANCE_TYPE_INITIAL if virtual).
`int` | `getPosition()` returns the position of the this component in the component set or -1 if not a member of a component set
`boolean` | `hasInstanceName()` returns true if the instance name has been set.
`boolean` | `isVirtual()` Returns true if this component is a virtual component.
`void` | `makeEditable()` Makes this Component "Editable" in a network Configuration.
`void` | `setInstanceName(java.lang.String newName)` Sets a new name to the instance.
`void` | `setName(java.lang.String newName)` Deprecated. see setInstanceName

Methods inherited from interface oracle.apps.cz.cio.ComponentNode
`getChildComponentNodes, getReferringOrDatabaseID, getReferringOrPersistentID`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### INSTANCE_TYPE_INITIAL

    public static final int INSTANCE_TYPE_INITIAL

### INSTANCE_TYPE_ADDED

    public static final int INSTANCE_TYPE_ADDED

### INSTANCE_TYPE_DELETED_INITIAL

    public static final int INSTANCE_TYPE_DELETED_INITIAL

### INSTANCE_TYPE_DISCONTINUED

    public static final int INSTANCE_TYPE_DISCONTINUED

Method Detail

### getInstanceType

    public int getInstanceType()

  Returns the instance typr of this component (INSTANCE_TYPE_INITIAL if virtual).

### getInstanceNumber

    public int getInstanceNumber()

  Deprecated. see getInstanceNumberLong()
  Returns the instance number of this component (1 if not in a component set).

### getInstanceNumberLong

    public long getInstanceNumberLong()

  Returns InstanceHeaderId if this node is a TrackableRoot else returns the instance number of this component (1 if virtual).

### isVirtual

    public boolean isVirtual()

  Returns true if this component is a virtual component. i.e. it is not multiply instantiable. Mandatory references are virtual.

### getPosition

    public int getPosition()

  returns the position of the this component in the component set or -1 if not a member of a component set

### setName

    public void setName(java.lang.String newName)

  Deprecated. see setInstanceName
  Sets a new name to the node.

### setInstanceName

    public void setInstanceName(java.lang.String newName)

  Sets a new name to the instance.

### getInstanceName

    public java.lang.String getInstanceName()

  returns the instance name if set or else null.

### hasInstanceName

    public boolean hasInstanceName()

  returns true if the instance name has been set.

### getFunctionalCompanions

    public com.sun.java.util.collections.List getFunctionalCompanions()

  Returns a list of all functional companions associated with this node.

### getFuncCompByID

    public oracle.apps.cz.cio.IFunctionalCompanion getFuncCompByID(int id)

  Returns a particular functional companion based on its ID, null if no match.

### getFuncCompByName

    public oracle.apps.cz.cio.IFunctionalCompanion getFuncCompByName(java.lang.String name)

  Returns a particular functional companion based on its name, null if no match.

### getConnectors

    public com.sun.java.util.collections.List getConnectors()

  Returns the list of connectors currently connected to this component

### getConnectorInfo

    public com.sun.java.util.collections.Collection getConnectorInfo()

  Returns the list of ConnectorInfo objects representing connectors currently connected to this component, whether they are loaded into this session or not

### getComponentByExplosionId

    public oracle.apps.cz.cio.Component getComponentByExplosionId(int explId,
                                                                  int instanceNum)
                                                           throws UnreachableNodeException,
                                                                  NoSuchChildException

  Returns a Component in the subtree of the root of this tree or its direct up-path with the given explosion node id and instance number. If the desired node is unreachable given this data, an exception will be thrown which will give the user the node closest to the target that we could reach. If instanceNum of -1 is given, the first instance will always be chosen recursivley.
  Parameters:
    `explId` - the explosion id of the requested node
    `instanceNum` - the instance number of the requested node
    `UnreachableNodeException`
    `NoSuchChildException`

### makeEditable

    public void makeEditable()
                      throws LogicalException

  Makes this Component "Editable" in a network Configuration. This component should be a delta instance for it to be made editable.
    `LogicalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.